 
jQuery(function($){

	
	initRupI18nPromise.then(function() {
		prepareData();		
	});
	
	function prepareData(){
	
		Ad74aUtils.hacerPlegable();
		
		$("#idTerminal94_tabDispositivos_detail_table").rup_combo({
			loadFromSelect:true,
			width: 'auto',
	        ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			blank: '',
		});
		
		$("#idTerminal94_tabDispositivos_detail_table").val('')
		
		$("#idTerminal23_tabDispositivos_detail_table").rup_combo({
			loadFromSelect:true,
			width: 'auto',
	        ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			disabled : true,
			blank: '',
			selected: (function(){ try { return dispositivosSolTerminal.idTerminal23} catch { return null}})()
		});
		
		if(dispositivosSolTerminal.terminal23.digital34!=null){
			if(dispositivosSolTerminal.terminal23.digital34==1){
				$('#S_digital34_filter_table').prop("checked",true);
			}else{
				$('#N_digital34_filter_table').prop("checked",true);
			}
		}
		
	
		
	}
	
			
	
});